Subject: Re: Could the DTS experts look at this?

From: Sean MacLennan <[email-masked]>
Date: Mon, 11 Feb 2008 19:41:07 -0500

David Gibson wrote:
> Err.. now I'm doubly confused.  Initially I thought you'd need to
> change the size part of reg somewhere, but your description above just
> convinced me you didn't (because you were essentially just shifting a
> 4M map up into the high rather than low 4M of the 64M space).  Now
> you're saying you do..
>   
If you tell the mtd driver that the flash is 64M, when it is really 4M, 
it goes oops. So you do have to get the size right in the reg field.

Cheers,
   Sean